struct rio_mport
Prev | Structures | Next

## Name

struct rio_mport — RIO master port info

## Synopsis

    struct rio_mport {
      struct list_head dbells;
      struct list_head node;
      struct list_head nnode;
      struct resource iores;
      struct resource riores[RIO_MAX_MPORT_RESOURCES];
      struct rio_msg inb_msg[RIO_MAX_MBOX];
      struct rio_msg outb_msg[RIO_MAX_MBOX];
      int host_deviceid;
      struct rio_ops * ops;
      unsigned char id;
      unsigned char index;
      unsigned char name[40];
    };

## Members

dbells

  List of doorbell events

node

  Node in global list of master ports

nnode

  Node in network list of master ports

iores

  I/O mem resource that this master port interface owns

riores[RIO_MAX_MPORT_RESOURCES]

  RIO resources that this master port interfaces owns

inb_msg[RIO_MAX_MBOX]

  RIO inbound message event descriptors

outb_msg[RIO_MAX_MBOX]

  RIO outbound message event descriptors

host_deviceid

  Host device ID associated with this master port

ops

  configuration space functions

id

  Port ID, unique among all ports

index

  Port index, unique among all port interfaces of the same type

name[40]

  Port name string

Prev | Up | Next
struct rio_dbell | Home | struct rio_net